iceweasel, chromium, coś jest nie tak

Z rana zachciało mi się przesiadki na Chromium (zwykle używam jej tylko do testów, jak i innych zainstalowanych) bo od lat głównie używam Iceweasela aka Firefoxa. Jak szybko mi się zachciało tak szybko wróciłem do Iceweasela i korzystając z okazji zrobiłem porządki. Wyczyściłem wszystko i zacząłem używać od nowa. Niestety było by zbyt prosto bez problemów, przy ładowaniu niektórych stron (które korzystają np. z disqusa czy google+) wpadają one w loopa, ładują się w nieskończoność. Przy czym w Chromium czy Epiphany działaja od razu.

Google nic sensownego nie mówi, no chyba, że nie trafiam z odpowiednim zapytaniem. Czyszczenie cache, kasowanie wszystkiego, nawet upgrade do wersji nr 15 nie ratuje sytuacji. Wtf?

A rozwiązaniem jest wyszukać w about:config pozycji network.dns.disableIPv6 i ustawić na true.

Otwieranie pdf w oknie FF

Ku pamięci, instalujemy pakiet mozplugger.
Tworzymy plik ~/.mozilla/mozpluggerrc i wklejamy do niego treść:

application/pdf: pdf: PDF file
application/x-pdf: pdf: PDF file
text/pdf: pdf: PDF file
text/x-pdf: pdf: PDF file
application/x-postscript: ps: PostScript file
application/postscript: ps: PostScript file
    repeat noisy swallow(evince) fill: evince "$file"

Wpis skopiowany z blogu BNS co by sobie zapamiętać 🙂

Iceweasel 7 i pluginy

Iceweasel

Nie wiem dlaczego tak długo używałem iceweasela w wersji 3.x, może z lenistwa, może z innego powodu ale dzisiaj zebrało mnie na aktualizację do czegoś nowszego. Wybrałem wersję o nazwie „aurora”, zainstalowaną z http://mozilla.debian.net/, w chwili obecnej oznaczona numerem 7.0a2.

Działa doskonale, szybko, niestety pojawia się problem z kompatybilnością pluginów. Sposób z edycją w about:config nie zdaje rezultatu w tej wersji, edycja pluginów mija się z celem, na szczęście do pomocy pojawia się plugin od mozilli który wyłącza sprawdzanie kompatybilności: Add-on compatibility reporter. Oczywiście nie każdy plugin musi działać, w moim skromnym przypadku jednak wszystko śmiga ładnie 🙂